---
triple:          'arm64-apple-darwin'
binary-path:     predict
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x0, symBinAddr: 0x1000030B4, symSize: 0x174 }
  - { offsetInCU: 0x39C, offset: 0x39C, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x0, symBinAddr: 0x1000030B4, symSize: 0x174 }
  - { offsetInCU: 0x5C1, offset: 0x5C1, size: 0x8, addend: 0x0, symName: __ZN12my_predictor7predictER11branch_info, symObjAddr: 0x174, symBinAddr: 0x100003228, symSize: 0xB4 }
  - { offsetInCU: 0x645, offset: 0x645, size: 0x8, addend: 0x0, symName: __ZN12my_predictor6updateEP13branch_updatebjR11branch_info, symObjAddr: 0x228, symBinAddr: 0x1000032DC, symSize: 0xE8 }
  - { offsetInCU: 0x6CA, offset: 0x6CA, size: 0x8, addend: 0x0, symName: __ZN12my_predictorD1Ev, symObjAddr: 0x310, symBinAddr: 0x1000033C4, symSize: 0x4 }
  - { offsetInCU: 0x6F3, offset: 0x6F3, size: 0x8, addend: 0x0, symName: __ZN12my_predictorD0Ev, symObjAddr: 0x314, symBinAddr: 0x1000033C8, symSize: 0x4 }
  - { offsetInCU: 0x3F, offset: 0x771, size: 0x8, addend: 0x0, symName: _tracefp, symObjAddr: 0x39B8, symBinAddr: 0x100008008, symSize: 0x0 }
  - { offsetInCU: 0x260, offset: 0x992, size: 0x8, addend: 0x0, symName: _buf, symObjAddr: 0x39C0, symBinAddr: 0x100008010, symSize: 0x0 }
  - { offsetInCU: 0x282, offset: 0x9B4, size: 0x8, addend: 0x0, symName: _bufpos, symObjAddr: 0x60D0, symBinAddr: 0x10000A720, symSize: 0x0 }
  - { offsetInCU: 0x29E, offset: 0x9D0, size: 0x8, addend: 0x0, symName: _bufsize, symObjAddr: 0x60D4, symBinAddr: 0x10000A724, symSize: 0x0 }
  - { offsetInCU: 0x2B3, offset: 0x9E5, size: 0x8, addend: 0x0, symName: _end_of_file, symObjAddr: 0x60D8, symBinAddr: 0x10000A728, symSize: 0x0 }
  - { offsetInCU: 0x2CF, offset: 0xA01, size: 0x8, addend: 0x0, symName: _ras, symObjAddr: 0x60DC, symBinAddr: 0x10000A72C, symSize: 0x0 }
  - { offsetInCU: 0x2F0, offset: 0xA22, size: 0x8, addend: 0x0, symName: _ras_top, symObjAddr: 0xA48, symBinAddr: 0x100008000, symSize: 0x0 }
  - { offsetInCU: 0x305, offset: 0xA37, size: 0x8, addend: 0x0, symName: _rtab, symObjAddr: 0x626C, symBinAddr: 0x10000A8BC, symSize: 0x0 }
  - { offsetInCU: 0x3AB, offset: 0xADD, size: 0x8, addend: 0x0, symName: __MergedGlobals, symObjAddr: 0x80626C, symBinAddr: 0x10080A8BC, symSize: 0x0 }
  - { offsetInCU: 0x3BA, offset: 0xAEC, size: 0x8, addend: 0x0, symName: __Z10read_tracev, symObjAddr: 0x3C0, symBinAddr: 0x10000378C, symSize: 0x454 }
  - { offsetInCU: 0x3E3, offset: 0xB15, size: 0x8, addend: 0x0, symName: __MergedGlobals, symObjAddr: 0x80626C, symBinAddr: 0x10080A8BC, symSize: 0x0 }
  - { offsetInCU: 0x5BC, offset: 0xCEE, size: 0x8, addend: 0x0, symName: __Z10init_tracePc, symObjAddr: 0x814, symBinAddr: 0x100003BE0, symSize: 0x124 }
  - { offsetInCU: 0x5D2, offset: 0xD04, size: 0x8, addend: 0x0, symName: __MergedGlobals, symObjAddr: 0x80626C, symBinAddr: 0x10080A8BC, symSize: 0x0 }
  - { offsetInCU: 0x5DF, offset: 0xD11, size: 0x8, addend: 0x0, symName: __Z9read_bytev, symObjAddr: 0x0, symBinAddr: 0x1000033CC, symSize: 0x94 }
  - { offsetInCU: 0x602, offset: 0xD34, size: 0x8, addend: 0x0, symName: __Z9read_uintv, symObjAddr: 0x94, symBinAddr: 0x100003460, symSize: 0x1BC }
  - { offsetInCU: 0x680, offset: 0xDB2, size: 0x8, addend: 0x0, symName: __Z8init_rasv, symObjAddr: 0x250, symBinAddr: 0x10000361C, symSize: 0x10 }
  - { offsetInCU: 0x693, offset: 0xDC5, size: 0x8, addend: 0x0, symName: __Z8push_rasj, symObjAddr: 0x260, symBinAddr: 0x10000362C, symSize: 0x28 }
  - { offsetInCU: 0x6AE, offset: 0xDE0, size: 0x8, addend: 0x0, symName: __Z7pop_rasv, symObjAddr: 0x288, symBinAddr: 0x100003654, symSize: 0x30 }
  - { offsetInCU: 0x6C1, offset: 0xDF3, size: 0x8, addend: 0x0, symName: __Z16predict_rememberv, symObjAddr: 0x2B8, symBinAddr: 0x100003684, symSize: 0x18 }
  - { offsetInCU: 0x6E7, offset: 0xE19, size: 0x8, addend: 0x0, symName: __Z15update_rememberR8rememberPS_bi, symObjAddr: 0x2D0, symBinAddr: 0x10000369C, symSize: 0xF0 }
  - { offsetInCU: 0x7FD, offset: 0xF2F, size: 0x8, addend: 0x0, symName: __Z10read_tracev.cold.2, symObjAddr: 0x99C, symBinAddr: 0x100003DD0, symSize: 0x28 }
  - { offsetInCU: 0x814, offset: 0xF46, size: 0x8, addend: 0x0, symName: __Z10read_tracev.cold.1, symObjAddr: 0x944, symBinAddr: 0x100003D78, symSize: 0x58 }
  - { offsetInCU: 0x82B, offset: 0xF5D, size: 0x8, addend: 0x0, symName: __Z10init_tracePc, symObjAddr: 0x814, symBinAddr: 0x100003BE0, symSize: 0x124 }
  - { offsetInCU: 0x91C, offset: 0x104E, size: 0x8, addend: 0x0, symName: __Z10init_tracePc.cold.1, symObjAddr: 0x9C4, symBinAddr: 0x100003DF8, symSize: 0x14 }
  - { offsetInCU: 0x933, offset: 0x1065, size: 0x8, addend: 0x0, symName: __Z9end_tracev, symObjAddr: 0x938, symBinAddr: 0x100003D04, symSize: 0xC }
...
